search.cpp File Reference
`#include <gecode/minimodel.hh>`
`#include <gecode/search.hh>`
`#include "test/test.hh"`

Go to the source code of this file.

## Classes

class | Test::Search::TestSpace
| Space with information. More...
class | Test::Search::FailImmediate
| Space that immediately fails. More...
class | Test::Search::SolveImmediate
| Space that is immediately solved. More...
class | Test::Search::HasSolutions
| Space that requires propagation and has solutions. More...
class | Test::Search::Test
| Base class for search tests More...
class | Test::Search::DFS< Model >
| Test for depth-first search More...
class | Test::Search::LDS< Model >
| Test for limited discrepancy search More...
class | Test::Search::BAB< Model >
| Test for best solution search More...
class | Test::Search::RBS< Model, Engine >
| Test for restart-based search More...
class | Test::Search::PBS< Model, Engine >
| Test for portfolio-based search More...
class | Test::Search::SEBPBS< Model >
| Test for portfolio-based search using SEBs More...
class | Test::Search::BranchTypes
| Iterator for branching types. More...
class | Test::Search::ConstrainTypes
| Iterator for constrain types. More...
class | Test::Search::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Search
| Tests for search engines.

## Enumerations

enum | Test::Search::HowToBranch { Test::Search::HTB_NONE , Test::Search::HTB_UNARY , Test::Search::HTB_BINARY , Test::Search::HTB_NARY }
| Values for selecting branchers. More...
enum | Test::Search::HowToConstrain { Test::Search::HTC_NONE , Test::Search::HTC_LEX_LE , Test::Search::HTC_LEX_GR , Test::Search::HTC_BAL_LE , Test::Search::HTC_BAL_GR }
| Values for selecting how to constrain. More...
enum | Test::Search::WhichModel { Test::Search::WM_FAIL_IMMEDIATE , Test::Search::WM_FAIL_SEARCH , Test::Search::WM_SOLUTIONS }
| Values for selecting models. More...

## Variables

Create | Test::Search::c